## kwin 5.15.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

project(KWIN)
set(PROJECT_VERSION "5.15.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.54.0")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

find_package(ECM 5.38 REQUIRED NO_MODULE)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(GenerateExportHeader)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    DBus
    Quick
    QuickWidgets
    Sensors
    Script
    UiTools
    Widgets
    X11Extras
)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0 -DQT_USE_QSTRINGBUILDER -DQT_NO_URL_CAST_FROM_STRING)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-inconsistent-missing-override")
endif()

find_package(Qt5Multimedia QUIET)
set_package_properties(Qt5Multimedia PROPERTIES
         PURPOSE "Runtime-only dependency for effect video playback"
         TYPE RUNTIME
         )


# required frameworks by Core
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    GlobalAccel
    I18n
    Init
    Notifications
    Package
    Plasma
    WidgetsAddons
    WindowSystem
    IconThemes
    IdleTime
    Wayland
)
# required frameworks by config modules
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Declarative
    KCMUtils
    KIO
    TextWidgets
    NewStuff
    Service
    XmlGui
)

find_package(Threads)
set_package_properties(Threads PROPERTIES
         PURPOSE "Needed for VirtualTerminal support in KWin Wayland"
         TYPE REQUIRED
         )

# optional frameworks
find_package(KF5Activities ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Activities PROPERTIES
         PURPOSE "Enable building of KWin with kactivities support"
         TYPE OPTIONAL
         )
add_feature_info("KF5Activities" KF5Activities_FOUND "Enable building of KWin with kactivities support")

find_package(KF5DocTools ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5DocTools PROPERTIES
         PURPOSE "Enable building documentation"
         TYPE OPTIONAL
         )
add_feature_info("KF5DocTools" KF5DocTools_FOUND "Enable building documentation")

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime for Virtual desktop KCM and the virtual keyboard"
    TYPE RUNTIME
)

find_package(KDecoration2 5.13.0 CONFIG REQUIRED)

find_package(KScreenLocker CONFIG REQUIRED)
set_package_properties(KScreenLocker PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "For screenlocker integration in kwin_wayland")

find_package(Breeze 5.9.0 CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")
if(${Breeze_FOUND})
    if(${BREEZE_WITH_KDECORATION})
        set(HAVE_BREEZE_DECO true)
    else()
        set(HAVE_BREEZE_DECO FALSE)
    endif()
else()
    set(HAVE_BREEZE_DECO FALSE)
endif()
add_feature_info("Breeze-Decoration" HAVE_BREEZE_DECO "Default decoration plugin Breeze")

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       TYPE RUNTIME
                       PURPOSE "Required to build KWin with EGL support"
                      )

find_package(epoxy)
set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
                       URL "http://github.com/anholt/libepoxy"
                       TYPE REQUIRED
                       PURPOSE "OpenGL dispatch library"
                      )

set(HAVE_DL_LIBRARY FALSE)
if(epoxy_HAS_GLX)
    find_library(DL_LIBRARY dl)
    if(DL_LIBRARY)
        set(HAVE_DL_LIBRARY TRUE)
    endif()
endif()

find_package(Wayland 1.2 REQUIRED COMPONENTS Cursor OPTIONAL_COMPONENTS Egl)
set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building KWin with Wayland support"
                      )
add_feature_info("Wayland::EGL" Wayland_Egl_FOUND "Enable building of Wayland backend and QPA with EGL support.")
set(HAVE_WAYLAND_EGL FALSE)
if(Wayland_Egl_FOUND)
    set(HAVE_WAYLAND_EGL TRUE)
endif()

find_package(XKB 0.7.0)
set_package_properties(XKB PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building KWin with Wayland support"
                      )

find_package(Libinput 1.9)
set_package_properties(Libinput PROPERTIES TYPE REQUIRED PURPOSE "Required for input handling on Wayland.")

find_package(UDev)
set_package_properties(UDev PROPERTIES  URL "http://www.freedesktop.org/software/systemd/libudev/"
                                        DESCRIPTION "Linux device library."
                                        TYPE REQUIRED
                                        PURPOSE "Required for input handling on Wayland."
                        )

find_package(Libdrm 2.4.62)
set_package_properties(Libdrm PROPERTIES TYPE OPTIONAL PURPOSE "Required for drm output on Wayland.")
set(HAVE_DRM FALSE)
if(Libdrm_FOUND)
    set(HAVE_DRM TRUE)
endif()

find_package(gbm)
set_package_properties(gbm PROPERTIES TYPE OPTIONAL PURPOSE "Required for egl output of drm backend.")
set(HAVE_GBM FALSE)
if(HAVE_DRM AND gbm_FOUND)
    set(HAVE_GBM TRUE)
endif()

find_package(libhybris)
set_package_properties(libhybris PROPERTIES TYPE OPTIONAL PURPOSE "Required for libhybris backend")
set(HAVE_LIBHYBRIS ${libhybris_FOUND})

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                    )
add_feature_info("XInput" X11_Xinput_FOUND "Required for poll-free mouse cursor updates")
set(HAVE_X11_XINPUT ${X11_Xinput_FOUND})

# All the required XCB components
find_package(XCB 1.10
    REQUIRED COMPONENTS
        XCB
        XFIXES
        DAMAGE
        COMPOSITE
        SHAPE
        SYNC
        RENDER
        RANDR
        KEYSYMS
        IMAGE
        SHM
        GLX
        CURSOR
        ICCCM
)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)

# and the optional XCB dependencies
if (XCB_ICCCM_VERSION VERSION_LESS "0.4")
    set(XCB_ICCCM_FOUND FALSE)
endif()
add_feature_info("XCB-ICCCM" XCB_ICCCM_FOUND "Required for building test applications for KWin")

find_package(X11_XCB)
set_package_properties(X11_XCB PROPERTIES
                       PURPOSE "Required for building X11 windowed backend of kwin_wayland"
                       TYPE OPTIONAL)

# dependencies for QPA plugin
find_package(Qt5FontDatabaseSupport REQUIRED)
find_package(Qt5ThemeSupport REQUIRED)
find_package(Qt5EventDispatcherSupport REQUIRED)

find_package(Freetype REQUIRED)
set_package_properties(Freetype PROPERTIES DESCRIPTION "A font rendering engine"
                       URL "http://www.freetype.org"
                       TYPE REQUIRED
                       PURPOSE "Needed for KWin's QPA plugin."
                      )
find_package(Fontconfig REQUIRED)
set_package_properties(Fontconfig PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Needed for KWin's QPA plugin."
                      )

find_package(Xwayland)
set_package_properties(Xwayland PROPERTIES
    URL "http://x.org"
    DESCRIPTION "Xwayland X server"
    TYPE RUNTIME
    PURPOSE "Needed for running kwin_wayland"
    )

find_package(Libcap)
set_package_properties(Libcap PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Needed for running kwin_wayland with real-time scheduling policy"
)
set(HAVE_LIBCAP ${Libcap_FOUND})

include(ECMQMLModules)
ecm_find_qmlmodule(QtQuick 2.3)
ecm_find_qmlmodule(QtQuick.Controls 1.2)
ecm_find_qmlmodule(QtQuick.Layouts 1.3)
ecm_find_qmlmodule(QtQuick.VirtualKeyboard 2.1)
ecm_find_qmlmodule(QtQuick.Window 2.1)
ecm_find_qmlmodule(QtMultimedia 5.0)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.plasma.core 2.0)
ecm_find_qmlmodule(org.kde.plasma.components 2.0)

########### configure tests ###############
include(CMakeDependentOption)

option(KWIN_BUILD_DECORATIONS "Enable building of KWin decorations." ON)
option(KWIN_BUILD_KCMS "Enable building of KWin configuration modules." ON)
option(KWIN_BUILD_TABBOX "Enable building of KWin Tabbox functionality" ON)
option(KWIN_BUILD_XRENDER_COMPOSITING "Enable building of KWin with XRender Compositing support" ON)
cmake_dependent_option(KWIN_BUILD_ACTIVITIES "Enable building of KWin with kactivities support" ON "KF5Activities_FOUND" OFF)

# Binary name of KWin
set(KWIN_NAME "kwin")
set(KWIN_INTERNAL_NAME_X11 "kwin_x11")
set(KWIN_INTERNAL_NAME_WAYLAND "kwin_wayland")
set(KWIN_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# KWIN_HAVE_XRENDER_COMPOSITING - whether XRender-based compositing support is available: may be disabled
if( KWIN_BUILD_XRENDER_COMPOSITING )
    set( KWIN_HAVE_XRENDER_COMPOSITING 1 )
endif()

include_directories(${XKB_INCLUDE_DIR})

include_directories(${epoxy_INCLUDE_DIR})
set(HAVE_EPOXY_GLX ${epoxy_HAS_GLX})

# for things that are also used by kwin libraries
configure_file(libkwineffects/kwinconfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkwineffects/kwinconfig.h )
# for kwin internal things
set(HAVE_X11_XCB ${X11_XCB_FOUND})

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(malloc.h HAVE_MALLOC_H)

check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_symbol_exists(PR_SET_PDEATHSIG "sys/prctl.h" HAVE_PR_SET_PDEATHSIG)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
    set(CAN_DISABLE_PTRACE TRUE)
endif()
add_feature_info("prctl/procctl tracing control"
                 CAN_DISABLE_PTRACE
                 "Required for disallowing ptrace on kwin_wayland process")

check_include_file("sys/sysmacros.h" HAVE_SYS_SYSMACROS_H)
configure_file(config-kwin.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwin.h )

check_include_file("linux/vt.h" HAVE_LINUX_VT_H)
add_feature_info("linux/vt.h"
                 HAVE_LINUX_VT_H
                 "Required for virtual terminal support under wayland")
check_include_file("linux/fb.h"    HAVE_LINUX_FB_H)
add_feature_info("linux/fb.h"
                 HAVE_LINUX_FB_H
                 "Required for the fbdev backend")

check_symbol_exists(SCHED_RESET_ON_FORK "sched.h" HAVE_SCHED_RESET_ON_FORK)
add_feature_info("SCHED_RESET_ON_FORK"
                 HAVE_SCHED_RESET_ON_FORK
                 "Required for running kwin_wayland with real-time scheduling")

########### global ###############
set(kwin_effects_dbus_xml ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kwin.Effects.xml)

include_directories(BEFORE
    ${CMAKE_CURRENT_BINARY_DIR}/libkwineffects
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/libkwineffects
    ${CMAKE_CURRENT_SOURCE_DIR}/effects
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbox
    ${CMAKE_CURRENT_SOURCE_DIR}/platformsupport
    )

=== debian/changelog ===
kwin (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:54 +0100

kwin (4:5.15.3.2-0ubuntu2) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:16:09 +0000

kwin (4:5.15.3.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:20 +0000

kwin (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:14:03 +0000

kwin (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)
  * Update install.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:52 +0000

kwin (4:5.15.0-0ubuntu1) disco; urgency=medium

  * Add qml-module-org-kde-kirigami2 runtime dep to kwin-common.
  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:28 +0000

kwin (4:5.14.90-0ubuntu1) disco; urgency=medium

  * Soname bump for library packages
  * Refresh patches.
  * Update install files.
  * Update lintian overrides.
  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:41 +0000

kwin (4:5.14.5-0ubuntu2) disco; urgency=medium

  * Skip hanging tests for now.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 16 Jan 2019 20:58:08 +0000

kwin (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:24 +0000

kwin (4:5.14.4-0ubuntu2) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-3.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 Jan 2019 21:38:54 +0000

kwin (4:5.14.4-0ubuntu1) disco; urgency=medium

  * Refresh patches
  * Install kconf_update file.
  * New upstream release (5.13.90)
  * Update symbols from build logs.
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:28 +0000

kwin (4:5.13.5-1ubuntu3) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-2.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Nov 2018 18:30:05 +0000

=== debian/control ===
Source: kwin
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev (>= 4:5.15.4~),
               cmake (>= 3.1~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kinit-dev (>= 5.54.0~),
               kscreenlocker-dev (>= 5.15.4~),
               libcap-dev [linux-any],
               libdrm-dev (>= 2.4.62~),
               libegl1-mesa-dev (>= 1.2~),
               libepoxy-dev (>= 1.2),
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev,
               libice-dev,
               libinput-dev (>= 1.9~),
               libkdecorations2-dev (>= 4:5.15.4~),
               libkf5activities-dev (>= 5.54.0~),
               libkf5completion-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5newstuff-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5package-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5textwidgets-dev (>= 5.54.0~),
               libkf5wayland-dev (>= 4:5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libqt5sensors5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libsm-dev,
               libudev-dev [linux-any],
               libwayland-dev (>= 1.2),
               libx11-xcb-dev,
               libxcb-composite0-dev (>= 1.10~),
               libxcb-cursor-dev,
               libxcb-damage0-dev (>= 1.10~),
               libxcb-glx0-dev (>= 1.10~),
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev (>= 1.10~),
               libxcb-render0-dev (>= 1.10~),
               libxcb-shape0-dev (>= 1.10~),
               libxcb-shm0-dev (>= 1.10~),
               libxcb-sync-dev (>= 1.10~),
               libxcb-xfixes0-dev (>= 1.10~),
               libxcb-xtest0-dev,
               libxcb1-dev (>= 1.10~),
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev (>= 0.7.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kwin
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin

Package: kde-window-manager
Architecture: all
Section: oldlibs
Priority: optional
Depends: kwin-x11 (>= 4:5.3.2-4~), ${misc:Depends}
Description: transitional package for kwin-x11
 This transitional package allows one to migrate to the packages providing
 the X11 version of the KDE window manager.
 .
 It can be safely removed after the installation.

Package: kwin
Architecture: all
Multi-Arch: no
Section: oldlibs
Priority: optional
Depends: kwin-x11, ${misc:Depends}
Description: Transitional dummy for kwin-x11
 This package is a transitional dummy to depend on the renamed kwin-x11 and
 can be removed.

Package: kwin-common
Architecture: any
Depends: kwin-data (= ${source:Version}),
         libkf5globalaccel-bin,
         libkwineffects12 (= ${binary:Version}),
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libqt5multimedia5-plugins, plasma-desktop (>= 4:5.14), qtvirtualkeyboard-plugin
Suggests: kwin-addons (>= 4:5.14)
Breaks: kwin (<= 4:5.3.1-0ubuntu3),
Replaces: kwin (<= 4:5.3.1-0ubuntu3)
Description: KDE window manager, common files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: plasma-framework,
            qml-module-qtmultimedia,
            qml-module-qtquick-controls,
            qml-module-qtquick-layouts,
            qml-module-qtquick-virtualkeyboard,
            qml-module-qtquick-window2,
            qml-module-qtquick2,
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE window manager data files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package contains the data files

Package: kwin-dev
Section: libdevel
Architecture: any
Depends: kwin-common (= ${binary:Version}),
         libegl1-mesa-dev (>= 1.2~),
         libepoxy-dev (>= 1.2),
         libkf5config-dev (>= 5.54.0~),
         libkf5coreaddons-dev (>= 5.54.0~),
         libkf5windowsystem-dev (>= 5.54.0~),
         libqt5x11extras5-dev (>= 5.9.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Description: KDE window manager - devel files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-wayland
Architecture: any
Depends: kwayland-integration (>= 5.14),
         kwin-common (= ${binary:Version}),
         kwin-wayland-backend-drm (= ${binary:Version}) | kwin-wayland-backend-fbdev (= ${binary:Version}) | kwin-wayland-backend-x11 (= ${binary:Version}) | kwin-wayland-backend-virtual (= ${binary:Version}) | kwin-wayland-backend-wayland (= ${binary:Version}),
         libcap2-bin [linux-any],
         xwayland,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: kwin
Description: KDE window manager, wayland version, PREVIEW release
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package provides the wayland version, which is still a work in progress
 project, and is available as a PREVIEW release. Don't expect the same
 stability as with the x11 version.

Package: kwin-wayland-backend-drm
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager drm plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module

Package: kwin-wayland-backend-fbdev
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager fbdev plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module

Package: kwin-wayland-backend-virtual
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager virtual plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This backend allows running kwin-wayland in headless mode, useful for testing,
 or in the Cloud.

Package: kwin-wayland-backend-wayland
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager nested wayland plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module

Package: kwin-wayland-backend-x11
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kwin-wayland-backend
Description: KDE window manager x11 plugin
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module

Package: kwin-x11
Architecture: any
Depends: kwin-common (= ${binary:Version}),
         libkwinglutils12 (= ${binary:Version}),
         libkwinxrenderutils12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-window-manager (<< 4:5)
Replaces: kde-window-manager (<< 4:5)
Provides: kwin, x-window-manager
Description: KDE window manager, X11 version
 KWin (pronounced as one syllable "kwin") is the window

=== debian/tests/control ===
#Tests: testsuite
#Depends: @, debhelper, cmake,
#         xvfb, xauth, dbus (>= 1.8), xserver-xephyr, libkf5service-bin, kded5,
#         xwayland, oxygen-icon-theme, mesa-utils,
#         breeze, dmz-cursor-theme
#Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
